Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatFolderInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatFolderInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatFolderInfo extends TdApi.Object
Contains basic information about a chat folder.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`colorId`
The identifier of the chosen color for the chat folder icon; from -1 to 6.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`hasMyInviteLinks`
True, if the chat folder has invite links created by the current user.
`TdApi.ChatFolderIcon`
`icon`
The chosen or default icon for the chat folder.
`int`
`id`
Unique chat folder identifier.
`boolean`
`isShareable`
True, if at least one link has been created for the folder.
`String`
`title`
The title of the folder; 1-12 characters without line feeds.

## Constructor Summary

Constructors
Constructor
Description
`ChatFolderInfo()`
Contains basic information about a chat folder.
`ChatFolderInfo(int id, String title, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, boolean hasMyInviteLinks)`
Contains basic information about a chat folder.
`ChatFolderInfo(DataInput input)`
Contains basic information about a chat folder.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique chat folder identifier.

### title

public String title
The title of the folder; 1-12 characters without line feeds.

### icon

public TdApi.ChatFolderIcon icon
The chosen or default icon for the chat folder.

### colorId

public int colorId
The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is didabled.

### isShareable

public boolean isShareable
True, if at least one link has been created for the folder.

### hasMyInviteLinks

public boolean hasMyInviteLinks
True, if the chat folder has invite links created by the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatFolderInfo

public ChatFolderInfo()
Contains basic information about a chat folder.

### ChatFolderInfo

public ChatFolderInfo(int id, String title, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, boolean hasMyInviteLinks)
Contains basic information about a chat folder.

Parameters:
  `id` - Unique chat folder identifier.
  `title` - The title of the folder; 1-12 characters without line feeds.
  `icon` - The chosen or default icon for the chat folder.
  `colorId` - The identifier of the chosen color for the chat folder icon; from -1 to 6. If -1, then color is didabled.
  `isShareable` - True, if at least one link has been created for the folder.
  `hasMyInviteLinks` - True, if the chat folder has invite links created by the current user.

### ChatFolderInfo

public ChatFolderInfo(DataInput input) throws IOException
Contains basic information about a chat folder.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`